<?php

namespace App\Generated\V1\Messages\Lbs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class IpMessage extends Message
{
    use ValueHelper;

    protected $parameters;
    protected $data;

    /**
     * 详看高德文档
     * @return null
     */
    public function getParameters()
    {
        return $this->parameters;
    }

    public function requestRules()
    {
        return [
            ['parameters', 'parameters', 'bail', null, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['data', 'data', 'bail', null, null],
        ];
    }

    public function setResponse($data)
    {
        $this->data = $data;
    }

}
